Introduction

Easy Bar Coder is a member of the EasyOffice suite.

Easy Bar Coder can:

  • Create bar code labels. A variety of label formats and bar code symbologies can be chosen.

  • Code bar codes and print them out on a variety of labels.

  • Print out sequential bar codes (i.e., the number of the bar code is incremented in each bar code printed out). This is useful for applications from asset management to ticketing.

  • Run from the command line. The program includes EasyBar.exe, which can be run from the command line.

Easy Bar Coder does not read bar codes. Bar code scanners typically include their own software for reading bar codes.

Note: Easy Bar Coder should not be used to generate bar codes for mission-critical applications nor for health-related applications. It is not designed, nor certified, for such applications.


Mission Critical and Health-Related Applications

EasyBarCoder is intended for non-critical generation of bar code labels. For example, a company could use EasyBarCoder to generate asset tags to affix to company property, or to occasionally generate UPC code labels to affix to a product.

EasyBarCoder should not be used to generate bar codes for mission-critical applications nor for health-related applications. It was not designed, nor tested nor certified, for such applications.

In all cases where EasyBarCoder is being used, you should read with a bar code scanner the label Easy Bar Coder produces, to ensure that the label is readable and that it yields the correct data when the symbol is decoded.


Using EasyBarCoder

To use EasyBarCoder:

  1. Click on the EasyBarCoder icon to start the program.

  2. The title screen will appear. Click Next to continue.

  3. You will be asked to choose a label type. Here you can:

    • Click on the label type you will be using. The blue checkmark will move to your selection, and a sample of the approximate label size will appear below.

    • Click Retrieve settings from 'setting file' (last option) to use the settings from a saved setting file. See Using the Setting File for more help.

Click Next to continue.

  4. You will be asked to choose the bar code type (see Bar Code Symbologies). Click on the type you want to print. The blue checkmark will move to your selected. Click Next to continue.

  5. You will be asked for the bar code value. Here, you can:

    • Enter in the bar code value in the text box provided.

    • Check off Retrieve bar code values from a spreadsheet or text to import a series of bar codes from a spreadsheet or text file. See Importing Bar Codes from Files for more details.

    • Check off Bar code to occupy most of label to print the bar codes in oversize on each label.

A preview will appear. Click Next to continue.

  6. You will be asked for a text description to be placed below each bar code. This could be the name of the product, or other information. Enter the description in the text box provided. Click Next to continue.

Note: If you enter more lines of description than there is room on the label, the extra lines will be ignored when printing.

  7. You will be asked to specify the number of pages you want to print. Here, you can:

    • Enter the number of sheets you will be printing in the text box provided.

    • Check off Increase bar code value by 1 on each label to have your bar code numbers sequentially increased.

    • Check off Save Setting File to save the task you just completed to a setting file. You can use this file to print the same bar codes without having to specify everything again. When this box is check off, a window will appear. Specify the file location you want to save to in the Save In box, and enter a name for the file in the File name box. Then, click Save.

A preview will appear. Click Print when you are ready to print.

  8. The Print Setup window will appear. Ensure that the paper size is correct, and that the labels are loaded in your printer. To adjust any printer settings, click the Properties button. When you are ready to print, click OK.

Example:

Perhaps your company has produced 200 special item units (for example, Y Pool Filters) that you need to label with the UPC bar code 6-16340-12345. You can use EasyBarCoder to accomplish this task.

  1. Click the EasyBarCoder icon to start the program. When the title screen appears, click Next to continue.

  2. Perhaps you are using sheets of 4" x 1" standard labels. Click 4" x 1" Labels. The blue checkmark will move to this selection (or it could have already been there if this size was the default selection when you started the program). As well, a preview of the approximate label size will appear in the middle of the screen. Now, click Next.

  3. You will be asked to choose the bar code type. Since you want standard UPC labels, click UPC-A. A blue checkmark will appears beside your selection. Now, click Next.

  4. You will be asked for the bar code value. Enter 61634012345 in the text box. After you enter the eleventh digit (5), the bar code will automatically appear in the preview of the label below. The computer will automatically compute and add the check digit as the twelfth digit (also a 5). Now, click Next.

  5. You will be asked for the text description you want to appear below the bar code. Enter the name of the product, Y Pool Filters. Below the readable digits of the bar code, the text Y Pool Filters will appear. Now, click Next.

  6. You be asked how many pages of labels you want to print. If there are 20 labels on each page of labels, then in order to print out 200 labels, you would want to print 10 pages of labels. Enter 10 in the box. Then, click Print to start printing your labels.


Using the Setting File

You can create a setting file, and use it to print labels you have already printed during a previous EasyBarCoder session.

The setting file will store all aspects of bar code label generation. However, please note that if the setting file uses a spreadsheet or text file to import bar codes, then the spreadsheet or text file must in the same location as it was originally when using the setting file. This way, when the setting file tells EasyBarCoder to open the file, it will be available.

To save a setting file:

  1. Go through each step of EasyBarCoder. See Using EasyBarCoder.

  2. When you come to the last step (where you are asked how many copies you want to print), check off Save Setting File.

  3. A window will appear. Specify the file location you want to save to in the Save In box, and enter a name for the file in the File name box. Then, click Save.

  4. Your setting file will be saved. You can use this file in another EasyBarCoder session to complete the same tasks, but without having to specify everything again.

To use a setting file:

  1. Start the EasyBarCoder program. When the title screen appears, click Next to continue.

  2. You will be brought to the screen that asks you what type of label your are using. Click Retrieve settings from 'setting file' (the last option on the list).

  3. A Load Setting File window will appear.

  4. If you want the bar codes to be printed automatically after loading the setting file, check off Automatically print bar code. Your bar code(s) will be printed as specified by the setting file.

If you would rather make changes to your bar code setting before you print, check off Load in settings, but don't automatically print bar code. You will go through each step of the bar code process, so that you can make adjustments.

  5. In the text box, specify the setting file you want to use. To browse through the files on your computer, click the ... button beside the text box.

  6. Click OK.


Importing Bar Codes from Files

You can obtain bar code numbers from spreadsheet and text files.

Microsoft Excel (*.xls), E-Press EasySpreadsheet (*.ess), Comma Delimited (*.csv), and Tab Delimited (*.txt, *.tab) spreadsheets can be used to hold a list of bar code values and their corresponding descriptions. These files can be loaded into EasyBarCoder.

When creating your spreadsheet file, enter each bar code value in a separate cell in column A. Enter corresponding descriptions in column B.

Tip: If you are entering long numbers and do not want the spreadsheet to use scientific notation, start each number with a single quote (').

If a value is not a valid bar code number, it will not be converted to a bar code; however, the printing will continue regardless.


Bar Code Symbologies

A bar code symbology refers to the way information is represented in a bar code - how the thin lines and thick lines represent data. Hundreds of different bar code symbologies exist in theory, but only a handful are used extensively in commerce and industry.

Bar code symbologies used in EasyBarCoder include:

  • UPC-A

  • UPC-E

  • UPC Shipping

  • Codabar

  • Code 128

  • Code 3 of 9

  • Code 93

  • Data Matrix

  • SISAC (ISSN)

  • EAN/JAN-13

  • EAN/JAN-8

  • Interleaved 2 of 5

  • LOGMARS

  • MaxiCode

  • MS8/Plessey

  • PDF 417

  • PostNet

  • OPC Code

Note: Easy Bar Coder should not be used to generate bar codes for mission-critical applications nor for health-related applications. It is not designed, nor certified, for such applications.


UPC-A

UPC-A is an abbreviation for 'Universal Product Code-A'. It is the most commonly used bar code on retail products in North America.

Although many retailers in North America use the UPC-A symbol for scanning books, the EAN Bookland bar code symbology is the one intended for the retail bar coding of books.

UPC-A encodes a 12-digit numeric bar code. The first digit identifies what type of UPC-A code is being used:

Digit(s) | Use
0 | regular UPC code
1 | reserved
2 | random weight item; the item and its weight are encoded by the bar code; the scanning system can determine a price if the cost per weight for that item is stored in the scanning system's database
3 | code used as a National Drug Code or National Health Related code
4 | in-store use of the UPC code
5 | coupon; discount information is encoded by the bar code
6 | regular UPC codes
7 | regular UPC codes
8 | reserved
9 | reserved
10 (5 digits) | manufacturer's identification; this number, along with the appropriate first digit, is assigned by the Uniform Code Council (UCC) in Dayton, Ohio
11 (5 digits) | product number of the goods to which the bar code is affixed; 100,000 (#00000-#99999) different product numbers can be encoded by a given manufacturer
12 | modulo-10 checksum digit

Checksum Digit

The last digit is a modulo-10 checksum digit. To calculate this checksum:

  1. Add the values of the digits in the odd positions

  2. Multiply this sum by 3

  3. Add the values of the digits in the even positions

  4. Add together the results of Step 2 and Step 3

  5. The smallest number which produces a multiple of 10 when added to the result in Step 4 is the checksum digit.

Example:

Consider the UPC barcode 01234567890:

  1. 0+2+4+6+8+0 = 20

  2. 3*20 = 60

  3. 1+3+5+7+9 = 25

  4. 60+25 = 85

  5. 5 must be added to 85 to give 90, a multiple of 10; thus, the checksum digit is 5.

If you enter 012134567890 into a UPC-A bar code in EasyBarCoder, the checksum digit (5) will automatically be calculated and included with the bar code.

Additional Digits

The UPC-A bar code may also include a 2-digit supplemental bar code. These digits are often used for periodicals, as they indicates the week or month number.

EasyBarCoder will generate 2-digit supplemental bar codes if you enter the 2 data digits after the first 11 digits of the standard UPC-A code. Do not enter the 12th checksum digit of the UPC-A code - it will be calculated automatically by EasyBarCoder.

EasyBarCoder can also generate 5-digit supplemental bar codes.


UPC-E

UPC-E is an abbreviation for 'Universal Product Code-E'. It is used on retail products in North America. It is a compressed version of UPC-A codes, and hence, is often used on small packages which do not have room for a 12 digit UPC-A code.

A UPC-E code is essentially a zero-suppressed UPC-A code. Consecutive zeros are not included in the UPC-E label. As a result, there are restrictions when converting UPC-A codes to UPC-E codes:

  • The UPC-A code must start with a 0 to be converted to UPC-E.

  • If the last 3 digits of a manufacturer number are 000, 100, or 200, then product code numbers 00000-00999 can be encoded by a UPC-E code.

  • If the last 3 digits of a manufacturer number are 300, 400, 500, 600, 700, 800, or 900, then product code numbers 00000-00099 can be encoded by a UPC-E code.

  • Otherwise, if the last 2 digits of a manufacturer number are 10, 20,...,80, or 90, then the product code numbers 00000-00009 can be encoded by a UPC-E code.

  • Otherwise, for manufacturer numbers not ending in 0, only the product code numbers 00005-00009 can be encoded by a UPC-E code.

EasyBarCoder will also produce 2-digit and 5-digit bar code supplemental codes to standard UPC-E codes. These are used less often, as the purpose of UPC-E is to save space.


EAN/JAN

Information on the EAN/JAN-13, EAN/JAN-8, and Bookland EAN symbologies is given below.

EAN/JAN-13

EAN-13 is an abbreviation for 'European Article Numbering', while JAN-13 is an abbreviations for 'Japanese Article Numbering-13'. It is used worldwide in bar coding retail goods. The Uniform Code Council has set January 1, 2005 as the date by which American and Canadian scanning systems must be able to read the EAN-13 and UPC-A codes, to eliminate the expense of relabelling imported products.

EAN/JAN-13 is a fixed-length symbology. It is similar to UPC-A, but it includes a 13th digit. The first two characters represent the country code for where a manufacturer is registered (not necessarily where the labelled product is manufactured). The country codes assigned to the United States are 00-04 and 06-09. Then, there are 10 data characters followed by a modulo-10 checksum digit. EasyBarCoder will automatically add the checksum digit as the 13th digit of your bar code.

To calculate the EAN-13 checksum digit:

  1. Add the values of the digits in the even-numbered positions.

  2. Multiply the sum in Step 1 by 3.

  3. Add the values of the digits in the odd-numbered positions

  4. Add the results of Step 2 with the result of Step 3.

  5. Find the smallest number which, when added to the result in Step 4, produces a multiple of 10. This is the checksum digit of the EAN-13 code.

If you apply the above routine to the EAN bar code 00-1234567890, you will obtain the checksum digit of 5.

EAN-13 may include an additional 2-digit or 5-digit supplemental bar code, forming an EAN-13 code that encodes a total of 14 or 17 data digits. EasyBarCoder can produce both the 2-digit and 5-digit supplemental codes.EAN-13 may include an additional 2-digit or 5-digit supplemental bar code, forming an EAN-13 code that encodes a total of 14 or 17 data digits. EasyBarCoder can produce both the 2-digit and 5-digit supplemental codes.

Note: When you enter an EAN-13 bar code in EasyBarCoder, do not enter the checksum digit - it will be calculated automatically. This applies even if you are adding supplemental data digits. Do not enter the checksum digit between the last data digit of the standard EAN-13 code and where the data digits of the supplemental code begin.

EAN/JAN-8

EAN-8 is an abbreviation for 'European Article Numbering', while JAN-8 is an abbreviation for 'Japanese Article Numbering-8'. It is essentially a shortened version of EAN-13 code, and is used when a bar code label must be affixed to a small product.

EAN-8 typically consists of 2 country code characters, followed by 5 data digits, followed by a checksum digit. In theory, a 2 digit or 5 digit supplemental bar code can be added to an EAN-8 symbol, but this is rarely done since the purpose of EAN-8 is to conserve space.

While UPC-E compresses data (by deleting the unnecessary 0's of an appropriately chosen UPC-A code) and can be converted to UPC-A, the data digits in the EAN-8 code are not compressed. The digits specifically represent a manufacturer and product. After 2 digits are used for the country code, only 5 digits are allowed for the product code (#00000-99999, or 100,000 products). Thus, only limited numbers of EAN-8 codes are given out in each EAN member country.

Note: When you enter an EAN-8 bar code in EasyBarCoder, do not enter the checksum digit - it will be calculated automatically. This applies even if you are adding supplemental data digits. Do not enter the checksum digit between the last data digit of the standard EAN-8 code and where the data digits of the supplemental code begin.

Bookland EAN

EAN-13 symbology is also used by book publishers to bar code the ISBN numbers of books.

An ISBN number typically consists of 10 digits. The first digit is the starting group identifier (usually 0 or 1 in English countries). Then, there is an 8-digit combination of publisher and title identifier digits, followed by a checksum digit. For example, the ISBN number 0-8176-5076-8 has a starting group identifier of 0, a publisher identifier of 8176, a title identifier of 5076, and the checksum digit of 8. Since there is a 4-digit publisher identifier, this publisher can produce 10,000 (#0000-#9999) titles.

To bar code an ISBN number with EAN-13, enter 978 as the first 3 digits of the EAN-13 code. This indicates that the country code of the EAN bar code is Bookland, meaning the code refers to an ISBN number. In the future, 979 may also be used for this purpose. Do not enter the ISBN checksum digit, as EasyBarCoder will add it automatically. For example, to bar code the ISBN number 0-8176-5076-8, enter 978, followed by 081765076. The EAN-13 checksum digit of 8 will be calculated automatically by EasyBarCoder.

An EAN-13 code used to bar code an ISBN number may also include a 5-digit supplemental code, which can be used to bar code the suggested retail price. The first digit of the 5-digit supplemental code indicates the currency type (e.g., 0 for British pounds, or 5 for US dollars). For example, to indicate a US price of $39.95, the digits 53995 would be used for the supplemental code. If a supplemental code of 90000 is used, there is no suggested retail price for the book, while complementary copies are coded with supplemental code 99991. The National Association of College Stores uses the supplemental code of 99990 to indicate that a book is used.


Interleaved 2 of 5

Information on Interleaved 2 of 5, UPC Shipping Container Symbol ITF-14, and OPC Code symbologies is given below.

Interleaved 2 of 5

Interleaved 2 of 5 is used labeling master cartons, and in warehouse and industrial applications.

It is a variable-length, numeric symbology. It must consist of an even number of digits.

This code gets its name from the fact that it uses bars to represent the first character, and interleaved white spaces for the next character. Each character is composed of 5 elements, with 2 of the 5 elements being wide elements.

UPC Shipping Container Symbol ITF-14

The UPC Shipping Container symbology is used to mark master cartons, cases, or pallets (which themselves contain multiple units of UPC or EAN labeled goods).

The UPC Shipping Container symbology uses a 14-digit Interleaved 2 of 5 symbology, hence the abbreviation of the symbology as 'ITF-14'.

The data within this 14 digit symbol is used as follows:

Digit(s)

Use

1

packaging indicator:

  • 0: UPC code of contents is different from case code

  • 1, 2: more than each

  • 3 ,4: inner packs

  • 5, 6: shipping cartons

  • 7:pallet

  • 8: reserved

  • 9: variable quantity content

2-3

UPC numbering system or EAN prefix

4-8

manufacturer identification number

9-13

item identification number

14

check digit

Although you can use EasyBarCoder's Interleaved 2 of 5 to produce UPC Shipping Container bar codes, you must know the check digit ahead of time.

OPC Code

The OPC code is used for bar coding retail optical products. It is an Interleaved 2 of 5 bar code symbology. Details can be obtained from the Optical Product Code Council in Falls Church, Virginia.


Code, ISSN, and LOGMARS

Information on the Code 128, Code 3 of 9, Code 93, SISAC (ISSN) Code, and LOGMARS symbologies is given below.

Code 128

Code 128 is a very flexible linear symbology. It can encode the full 128 ASCII character set. It can encode messages of variable lengths. It represents a high number of characters per inch of bar code.

Code 128 is often used in new applications. It is easily read by scanning equipment, and contains several integrated message check routines.

If the first character of a Code 128 bar code is a Function Code 2, then the bar code is part of a longer message. The message will continue until a bar code that does not have a Function Code 2 as the first character is scanned.

Code 3 of 9

Code 3 of 9 refers to the nine elements used to code characters, with 3 of these 9 elements being wide bars, and the other 6 elements being narrow bars. Code 3 of 9, or Code 39, bar codes are often used in industrial applications. It is a variable length symbology, and thus, can encode variable length messages.

Standard Code 39 contains 43 characters: 0-9, A-Z, $, /, %, +. Full Code 39 includes the fuller 128 ASCII character set. A special character ($, /, +, %) is combined with a letter (A-Z) to form characters not present in standard Code 39.

If the first character of a Code 39 bar code is an space (ASCII code 32) , then the bar code is part of a longer message. The scanned bar code should be appended to other scanned bar codes to yield the entire message. Once a bar code without a space as its leading symbol is scanned, the preceding message has been completed.

Code 93

Code 93 encodes the 128 ASCII character set. It is named Code 93 because it uses 9 modules organized into 3 bars. Code 93 is similar to Code 3 of 9, but has the advantage of encoding more characters per inch.

If the first character of a Code 93 bar code is space (ASCII code 32) , then the bar code is part of a longer message. The scanned bar code should be appended to other scanned bar codes to yield the entire message. Once a bar code without a space as its leading symbol is scanned, the preceding message has been completed.

SISAC (ISSN) Code

SISAC Code is an abbreviation for 'Serials Industry Systems Advisory Committee Code'. It uses Code 128 to uniquely identify each issue of a journal by including the ISSN number, date of publication. and volume number.

Each registered journal (or serial; includes magazines, newspapers, annual reports, scholarly journals, and so on) has an 8-digit ISSN number. These digits include 7 data digits and 1 checksum (if the checksum digit is 10, then an X is used).

The ISSN International Centre in Paris oversees a network of national ISSN registration centers. In the United States, the National Serials Data Program within the Library of Congress performs this function.

LOGMARS

LOGMARS is an abbreviation for 'Logistics Applications of Automated Marking and Reading Symbols'. It is essentially a version of Code 3 of 9 used by the US Department of Defense as specified by MIL-STD-1189B.


More Symbologies

Information on Codabar, MS8/Plessey, PostNet, Data Matrix, MaxiCode, and PDF 417 symbologies is given below.

Codabar

Codabar encodes 10 numeric digits, plus 6 special alphanumeric characters. The Codabar symbology is variable in length, and can encode messages of any length.

Codabar is an older method, and is generally not used for new applications. Nonetheless, it is frequently found in libraries, blood banks, and other industries.

MS8/Plessey

MS8/Plessey is a variable-length, numeric symbology. It is often used in marking product labels on retail shelves.

PostNet

PostNet is also known as 3 of 5. It is used by the United States Postal Service for mail sorting.

A PostNet symbol can contain a 5-digit Zip Code, a 9-digit Zip+4 Code, or an 11-digit Delivery Point Code.

EasyBarCoder will add a check digit to the end of the zip code; however, this digit will not be displayed. This digit is the number that, when added to the sum of the digits of the zip code, produces a multiple of 10.

Data Matrix

Data Matrix is a 2-dimensional matrix bar code that encodes variable-length, alphanumeric information. A Data Matrix bar code can encode 1 to 2335 characters.

It encodes the ASCII 128 characters, as well as a variety of character sets. It has much redundancy, and error-correcting routines often allow partially damaged Data Matrix bar codes to be read correctly.

MaxiCode

MaxiCode is fixed-size, 2-dimensional matrix bar code that can encode all 256 ASCII characters. It contains 866 hexagons arranged around a central bulls-eye finder. MaxiCode can be read quickly from most directions. It is used by United Parcel Service in automated sorting operations.

PDF 417

PDF 417 is a 2-dimensional stacked bar code that encodes variable-length, alphanumeric information. At the time of this writing, PDF417 is one of the most commonly used 2-dimensional bar code symbology.

A PDF 417 symbol can be 3 to 90 stacked rows, allowing a maximum capacity of 2150 alphanumeric characters, at a density of 340 characters per square inch. PDF 417 supports text compaction, numeric compaction and byte compaction.

The name of this code derives from the representation of each character by 4 bars and 4 spaces in a 17 module structure. Any letter, number, or almost any special character can be represented.


Bar Code to Occupy Most of Label

You may want the bar code to occupy most of the label's height. For example, perhaps you are using labels 1" in height, and need to print UPC bar codes that are at least 3/4" in height.

Go through the steps of EasyBarCoder, until you come to the screen where you are asked for the bar code value. Check off Bar Code to occupy most of the label.

Each bar code you print will occupy most of the label's height. Since the bar code will take up more space, the lines of descriptive text you enter will likely not have room to be printed.

Note: Generally, it is only possible to stretch linear bar codes. Two dimensional bar codes (e.g., DataMatrix) cannot be stretched in the vertical direction to occupy most of the label.


Sequentially Numbered Bar Codes

You can generate sequentially numbered bar code labels.

Printing sequentially numbered labels is often useful. For example, perhaps you are generating 1000 sequentially numbered bar code labels to be used as inventory asset tags for your company.

The value of each bar code you print will be increased by one. If you are using UPC-A bar codes, and you entered 0-00000-00001 for your first label, then the second label would be given the value 0-00000-00002. The next label would be 0-00000-00003, and so on.

To have your bar code numbers sequentially increased:

  1. Go through each step of EasyBarCoder. Set up your bar codes and labels, as described in Using EasyBarCoder.

  2. When you come to the last step (where you are asked how many copies you want to print), check off Increase bar code value by 1 on each label.

  3. Click Print to print your labels.


International Characters

If your version of EasyBarCoder is Internationally-enabled, then you can enter International Characters as follows:

To enter this character: | Use these keystrokes:
à, è, ì, ò, ù À, È, Ì, Ò, Ù | Ctrl+` followed by any of these letters
á, é, í, ó, ú, ý Á, É, Í, Ó, Ú, Ý | Ctrl+' followed by any of these letters
â, ê, î, ô, û Â, Ê, Î, Ô, Û | Ctrl+Shift+^ followed by any of these letters
ã, ñ, õ Ã, Ñ, Õ | Ctrl+Shift+~ followed by any of these letters
ä, ë, ï, ö, ü, ÿ Ä, Ë, Ï, Ö, Ü, Ÿ | Ctrl+Shift+: followed by any of these letters
å, Å | Ctrl+Shift+@ followed by a or A
æ, Æ | Ctrl+Shift+& followed by a or A
œ, Œ | Ctrl+Shift+& followed by o or O
'ç, Ç | Ctrl+, followed by c or C
'ð, Ð | Ctrl+' followed by d or D
¿ | Alt+Ctrl+Shift+?
ß | Ctrl+Shift+& followed by s
¡ | Alt+Ctrl+Shift+!
ø, Ø | Ctrl+/ followed by o or O
€ | Ctrl+$

For example, to place a circumflex accent (^) above a letter, hold the Ctrl key and the Shift key, and then press the ^ key. Let go of the keys, and then enter whatever letter you want. The ^ accent will appear on top of the letter. (This is summarized as: Ctrl+Shift+^)

Note: The shortcut for the Euro € is not a standard Microsoft International Character shortcut, but defined here for EasyOffice, due to the demand we have had for such a shortcut.

Languages

European Languages: Use any English (or other European language version) Windows to enter characters from most European languages. All languages can co-exist in EasyOffice.

Japanese: For best results, please use a Japanese version of Microsoft Windows or a version that supports Japanese; Japanese and English characters can co-exist in EasyOffice.

Traditional Chinese: For best results, please use a Traditional Chinese version of Microsoft Windows or a version that supports Traditional Chinese; Traditional Chinese and English characters can co-exist in EasyOffice.

Simplified Chinese: For best results, please use a Simplified Chinese version of Microsoft Windows or a version that supports Simplified Chinese; Simplified Chinese and English characters can co-exist in EasyOffice.

Korean: For best results, please use a Korean version of Microsoft Windows or a version that supports Korean; Korean and English characters can co-exist in EasyOffice.


Running from the Command Line

EasyBarCoder includes EasyBar.exe, which can be run from the command line. This is useful if you want to include an instruction in a batch file to automatically create barcodes.

Running from the command line means that the normal, interactive EasyBarCoder program will not appear. Instead, depending on the command line switch settings you specify, EasyBar.exe will automatically follow your setting file to create the bar codes specified.

EasyBar.exe can be found in the Windows\System directory. When EasyOffice Premium is installed from a CD-ROM, EasyBar.exe is automatically installed to this directory.

Note: Certain downloadable versions of EasyOffice may include EasyBar.exe; however, to conserve bandwidth, most downloadable versions do not include this program. To obtain the program, you may need to purchase the CD-ROM.

EasyBar.exe Usage

The usage of EasyBack.exe on the command line is as follows:

  • EasyBack settingfile: This will automatically perform a backup in accordance with the settings in the specified setting file.

Example:

This example will illustrate how to create a set of labels from the command line. It will use the setting file labelset123.bar, which was created the previous time the usual EasyBarCoder program was used.

  1. Go to the Start Menu and click Run.

  2. Enter Command.

  3. Enter c:\Windows\System\EasyBar.

  4. Enter c:\My Documents\labelset123.bar.

  5. The bar codes will automatically be created, following the instructions in the setting file labelset123.bar.


Obtaining UPC and EAN Numbers

To obtain a unique UPC company prefix number, contact the Uniform Code Council (UCC) in Dayton, Ohio: www.uc-council.org.

To obtain an EAN number, contact EAN International in Belgium: www.ean-int.org. Or, contact a local EAN member.


Reading Bar Codes

Easy Bar Coder codes bar codes, and prints them on a variety of labels.

Easy Bar Coder does not read bar codes. Bar code scanners typically come with their own software for reading and decoding bar codes.

To read a bar code, a bar code scanner shines light on the bar code. Its photodetectors see what light is reflected and received, to distinguish white space from the printed bars. Its logic circuits then analyze the detected signal, and decode it into a numeric or alphanumeric string, representative of the encoded bar code.

Types of bar code scanners include:

  • Wand Scanners: Inexpensive, pen-like scanning devices. Manually operated and dependent on user expertise.

  • CCD Scanners: The entire bar code is essentially imaged, digitized and then decoded. More expensive than a wand scanner, but less expensive than a laser scanner.

  • Laser Scanners: Often sends a laser beam bounced off a rotating mirror to generate a large pattern of scan lines. More expensive than CCD scanners, but better results, and can scan at a distance.